Subject: Re: [dhcwg] Lightweight DHCPv6 Relay Agent

From: "MILES DAVID" <[email-masked]>
Date: Fri, 15 Aug 2008 11:17:09 +0800

Truman,

Thanks for the catch. At one point we were considering unicast support but have since passed on that idea. Happy to include the words as suggested.

Cheers!

-David

----- Original Message -----
From: Truman Boyes <[email-masked]>
To: MILES DAVID
Cc: [email-masked] <[email-masked]>; OOGHE Sven
Sent: Thu Aug 14 02:51:16 2008
Subject: Re: [dhcwg] Lightweight DHCPv6 Relay Agent

Hi David,

I would agree that the document would be informational as per your  
suggestion.

One item that I believe requires some clarification is regarding the  
security consideration statement (section 10), which reads:

"As the LDRA listens to all IPv6 traffic with UDP port 547 the LDRA
    must implement some form of rate-limiting on received messages to
    prevent excessive process utilisation on the LDRA."

Is is mandatory for a LDRA to listen to *all* IPv6 traffic with UDP  
port 547 or is the match more specific?

Section 7 states that the LDRA must intercept traffic destined to  
All_DHCP_Relay_Agents_and_Servers and section 6.2 states that the LDRA  
must liten to all IP traffic that has a link-local scoped source  
address, link-local scoped destination address, protocol type UDP and  
destination port 547, and that it also may have a specific listening  
IP if it running an IP stack.

Kind regards,
Truman Boyes

On 13/08/2008, at 11:06 AM, MILES DAVID wrote:

> For those that were unable to get the link during the DHC meeting:
> http://tools.ietf.org/html/draft-miles-dhc-dhcpv6-ldra-00
>
> There were a few comments during the presentation, but a general
> acceptance in principle. One item discussed was whether this should be
> an informational or standards track document. As there are no new
> protocols defined (just a modification of existing DHCPv6) I'd suggest
> informational. Are there any further comments we would like to discuss
> on-list before updating?
>
> Cheers,
>
>
> David Miles
> Alcatel-Lucent
> Senior Architect
> IP Division
> Level 3, 215 Spring Street
> Melbourne VIC 3000, Australia
> Email: [email-masked]
> Phone: +61 3 9664 3308
> Mobile: +61 417 684 617
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg